Page MenuHomePhabricator

Outreachy microtask: Writing Echo node.js tests (#2)
Closed, ResolvedPublic

Description

This is the second microtask for Outreachy applicants for T204068: QA: Automation Testing - port Echo Notification tests to Node.js. The task should be done after the first one: T204771: Outreachy microtask: Automation testing framework setup and running existing Echo node.js tests (#1).

TODO
Done

470729 (Abandoned): Test: notify a new user with welcome message
471909 (Abandoned): Test: notify a new user with welcome message
471910 (Abandoned): Test: notify a new user with welcome message

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 18 2018, 9:04 PM
srishakatux moved this task from Backlog to Microtasks on the Outreachy (Round 17) board.

Hi all, I'm working on writing a test to check for the welcome notification. I have emailed Etonkovidova a draft.

Hello! @Aklapper @zeljkofilipin @Etonkovidova, do the Outreachy applicants have to send tests to @Etonkovidova?
I've also tried writing and running a test, but didn't know what I have to do with it. 😅

@MaroonPixel: I assume new tests should end up in the codebase where other tests already are. See https://www.mediawiki.org/wiki/Gerrit/Tutorial for how to propose patches (code changes) for review in Gerrit. Thanks!

Change 470729 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/Echo@master] Update Echo.page.js::check for welcome element, Fix Echo.js::added page load, Add notification_welcome test

https://gerrit.wikimedia.org/r/470729

Change 471909 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/Echo@master] Test: notify a new user with welcome message

https://gerrit.wikimedia.org/r/471909

Change 471910 had a related patch set uploaded (by Ephemeralwaves; owner: Ephemeralwaves):
[mediawiki/extensions/Echo@master] Test: notify a new user with welcome message

https://gerrit.wikimedia.org/r/471910

Change 471910 abandoned by Jforrester:
Test: notify a new user with welcome message

Reason:
In favour of I172e7b16d.

https://gerrit.wikimedia.org/r/471910

Change 470729 abandoned by Aklapper:
Test: notify a new user with welcome message

https://gerrit.wikimedia.org/r/470729

Change 471910 restored by Zfilipin:
Test: notify a new user with welcome message

https://gerrit.wikimedia.org/r/471910

Change 471909 abandoned by Zfilipin:
Test: notify a new user with welcome message

Reason:
Fixed white-space in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Echo/ /471910

https://gerrit.wikimedia.org/r/471909

zeljkofilipin triaged this task as Medium priority.Dec 18 2018, 1:01 PM

Should this task be resolved? Or does it depend on 471910 being merged? If it should not be resolved, should it be assigned to @Ephemeralwaves?

Change 471910 abandoned by Zfilipin:
Test: notify a new user with welcome message

Reason:
implemented in https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Echo/ /484712

https://gerrit.wikimedia.org/r/471910

@Ephemeralwaves @Etonkovidova if this should be resolved, go ahead. :)

zeljkofilipin updated the task description. (Show Details)
Ephemeralwaves closed this task as Resolved.Feb 25 2019, 4:02 PM
Etonkovidova updated the task description. (Show Details)Sep 24 2019, 6:11 PM